Skip to main content
GET
Get job status

Overview

This endpoint allows you to monitor the progress of asynchronous jobs (including both discovery and publish jobs) for a specific market. Use it to check which steps have completed and the current progress of each job.
Workflow Step: This endpoint is used throughout the Market Research Workflow, including both discovery and publish phases.

Usage

Call this endpoint with the marketId to get a list of all jobs and their statuses.

Best Practices

Polling Strategy: Check the status every 30-60 seconds

Authorizations

x-api-key
string
header
required

Pass a static API key for every request, provided by your customer support.

Path Parameters

marketId
integer
required

Unique identifier for the market study.

Required range: x > 0

Query Parameters

teamId
number | null

Unique identifier for the team.

jobIds

Filter by specific job IDs. Can be repeated for multiple values.

status

Filter by job status. Can be repeated for multiple values.

Available options:
queued,
running,
stuck,
completed,
failed

Response

Job status retrieved

metadata
object
required
data
object[]
required